Bug 779857 - (SOA-2217) Construction of Webservice Endpoint URL
Construction of Webservice Endpoint URL
Status: NEW
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.2
Unspecified Unspecified
medium Severity medium
: ---
: FUTURE
Assigned To: Ken Johnson
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-10 10:22 EDT by david.boeren
Modified: 2014-11-13 13:24 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2217 Minor Closed Construction of Webservice Endpoint URL 2016-02-09 17:24 EST

  None (edit)
Description david.boeren 2010-08-10 10:22:05 EDT
Help Desk Ticket Reference: https://enterprise.redhat.com/issue-tracker/?module=issues&action=view&tid=820493&gid=1354
project_key: SOA

When deploying my esb component (exposed as a webservice using inXsd/outXsd), the webservice endpoint URL is constructed as follows:
"http://localhost:8080/mycomponent-1.0.0/wsRequest/CreateOrder".
The components name is "mycomponent-1.0.0.esb"

In our project the name of the component is built with a release number, that is in the above example "1.0.0". This release number will also appear in the endpoint URL since per default the name of the component is reflected in the endpoint.

I would like to have a way to control the endpoint URL through a property to go along with inXsd/outXsd in the action descriptor so that when I deploy a new release, the endpoint URL doesn't necessarily have to change also.
Comment 1 Kevin Conner 2010-08-10 10:22:35 EDT
Link: Added: This issue is related to SOA-2068
Comment 2 Anne-Louise Tangring 2010-09-10 14:44:42 EDT
We will consider this feature request for a future release. Not for SOA 5.1.0
Comment 3 Darran Lofthouse 2010-09-14 05:55:26 EDT
Additional support case - https://na7.salesforce.com/500A0000003jwGA

Note You need to log in before you can comment on or make changes to this bug.